Issue1562

classification
Title: Documentation: Not obvious where how to use jython from java from main documentation list
Type: Severity: normal
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: juneau001 Nosy List: fwierzbicki, juneau001, smcq
Priority: Keywords:

Created on 2010-02-23.00:07:44 by smcq, last changed 2010-10-01.14:25:13 by juneau001.

Messages
msg5549 (view) Author: Sean McQuillan (smcq) Date: 2010-02-23.00:07:42
User path when I went to jython.org to "use jython from java" I could not find information from the main TOC.  Here's the path that I followed as a new user.

1. jython.org
2. current docs
3. Jython 2.5.1 documentation
4. Tutorial

Expected:
  - Code listing for using jython on command prompt
  - Code listing for using jython from inside Java

Found:
  - Text and links that weren't relevant.

After I clicked back to the TOC I went to Library Reference.  This turned out to be a stdlib reference.

After I went back to the TOC I went to Using Jython.  This contained listing of CLI options to the jython command.  It did not tell me how to use it from Java.

Frank mentioned that I should check the wiki where I found http://wiki.python.org/jython/UserGuide (http://wiki.python.org/jython/UserGuide#embedding-jython).  I would not have found this from the TOC links.
msg5586 (view) Author: Juneau001 (juneau001) Date: 2010-03-22.11:43:33
I'll take a look at reorganizing some of the docs and links to make it easier to find things.
msg5600 (view) Author: Juneau001 (juneau001) Date: 2010-03-28.15:07:04
I've added some links to the Jython book content in the "Using Jython" sidebar item.  I've also added some text to the "Current Documentation" page to explain where examples and other documentation can be found.
History
Date User Action Args
2010-10-01 14:25:13juneau001setstatus: open -> closed
resolution: fixed
2010-03-29 15:31:26draghuramsetassignee: juneau001
2010-03-28 15:07:05juneau001setmessages: + msg5600
2010-03-22 11:43:35juneau001setnosy: + juneau001
messages: + msg5586
2010-02-23 00:09:47smcqsetnosy: + fwierzbicki
2010-02-23 00:07:44smcqcreate